import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
import java.awt.Font;

/**
 * Label- Subclass of actor class. This Class is used for displaying text on the screen
 * @author (Esther John) 
 * @version (a version number or a date)
 */
public class Label extends Actor
{
private static final Color textColor = new Color(255, 255, 255);
 public static final float FONT_SIZE = 48.0f;
    public static final int WIDTH = 400;
    public static final int HEIGHT = 300;
    public Label(String text)
    {
        GreenfootImage img=new GreenfootImage(text.length()*20 ,30);
        img.setColor(textColor);
        img.drawString(text,2,20);
        setImage(img);
    }
    
  /**
   * setText-  Clears current Image and sets the New Text
   */
    public void setText(String text)
    {
        GreenfootImage img=getImage();
        img.clear();
        img.drawString(text,2,20); 
    }
    
   /**
    * makeImage- It Creates A new Image Displaying Text with style 
    */
   
    public void makeImage(String title, String prefix )
    {
        GreenfootImage image = new GreenfootImage(WIDTH,HEIGHT );
        image.setColor(new Color(255,255,255, 128));
        image.fillRect(0, 0, WIDTH, HEIGHT);
        image.setColor(new Color(0, 0, 0, 128));
        image.fillRect(5, 5, WIDTH-10, HEIGHT-10);
        Font font = image.getFont();
        font = font.deriveFont(FONT_SIZE);
        image.setFont(font);
        image.setColor(Color.WHITE);
        image.drawString(title, 60, 100);
        image.drawString(prefix, 60, 200);
        setImage(image);
    }
}